version: "3.7"

services:
{% for service in docker_container_services %}
  {{ service.name | default ('app' + loop.index|string) }}:
    container_name: "{{ service.name | default ('app' + loop.index|string) }}"
    image: {{ service.image }}
    ports:
      - "{{ service.ports.out | default ('80') }}:{{ service.ports.in | default ('80') }}"
{%endfor%}
